			<?php $cart_items = $this->session->userdata($session_data); 
			$currencySymbol = getCurrencySymbol();
			?>
			<?php if(empty($cart_items)){redirect(base_url('sponsor-now')); } ?>

			<?php $this->load->view('includes/head') ?>
			<?php $this->load->view('includes/topbar') ?>
			<?php $this->load->view('includes/header') ?>

			<main id="main">
				<section class="temple-services" style="background-image: url(<?=base_url('assets/img/elegant-background-with-mandala.png');?>);background-size: auto;">
					<div class="text-center">
						<h2 style="font-weight:bold!important;font-size: 25px!important;margin-bottom:0px!important ;" class="img-fluid">Your Cart Items</h2>
						<img src="<?=base_url('assets/img/border.png')?>" width="280px" style="padding-bottom: 30px;">
					</div> 
					<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">

					<span id="cart-amount"  class="allPrice d-none"><?= sprintf("%.2f", $cart_items['totalPrice']); ?></span>

					<div style="padding:0px 50px">
						<a href="javascript:void(0)" class="btn" onclick="window.history.back()" style=";background-color:#df4a19;color: white!important;border-radius: 1px!important;">← Back</a>
						<table id="cart" class="table table-responsive shadow mt-4" width="100%">
							<thead style="background-color: #70011D; color: #fff;">
								<tr>
									<th style="width:5%">Checkout&nbsp;Items</th>
									<th style="width:55%"></th>
									<th style="width:5%" class="text-end">Quantity</th>
									<th style="width:10%" class="text-end">Amount</th>
									<th style="width:20%" class="text-end">Subtotal</th>
									<th style="width:5%"></th>
								</tr>
							</thead>
							<tbody>
								<?php 

								if(@$cart_items['ids'])
								{

									foreach (@$cart_items['ids'] as $key => $value) {


										?>


										<tr style=" vertical-align: middle;background: white;" class="servicesTr">
											<td style="width:5%">
												<img src="<?=ApiBaseUrl()['url'].$cart_items['image'][$key]; ?>" alt="<?=$cart_items['serviceName'][$key]; ?>" height="60px" width="60px"/>
											</td>
											<td style="width:55%">
												<h4 class="nomargin"><?=$cart_items['serviceName'][$key]; ?></h4>
											</td>

											<td style="width:5%" class="text-end" data-th="Quantity">
												<span><?= $cart_items['qty'][$key]; ?></span>
											</td>
											<td style="width:10%" class="text-end" data-th="Price"><?= @$currencySymbol['currencySymbol'].' '.price_format($cart_items['serviceAmount'][$key], 2); ?></td>
											<td style="width:20%"  data-th="Subtotal" class="text-end"><?= @$currencySymbol['currencySymbol'].' '.price_format(($cart_items['serviceAmount'][$key]*$cart_items['qty'][$key]), 2); ?></td>
											<td style="width:5%" class="actions" data-th="">
												<a href="javascript:void(0)" class="text-danger btn-sm delete-row" data-row-id="<?= $cart_items['ids'][$key]; ?>" style="font-size:17px"><i class="fa fa-trash-o"></i></a>
											</td>
										</tr>

									<?php } } ?>
								</tbody>
								<?php  $subTotal =  price_format(((( $cart_items['totalPrice'] * @$GeneralSettings['TaxPercent'] ) / 100) +  $cart_items['totalPrice']), 2);   ?>
							</table>
							<div class="row">
								<div class="col-md-6">
									<a href="<?=base_url('recurring-sponsor-now/recurring-donations')?>" class="btn btn-warning"><i class="fa fa-angle-left"></i> Go Back to Recurring Donations</a>
								</div>
								<div class="col-md-6 text-end">
									<span  id="cart-amount" class="hidden-xs text-center"><strong>Total Amount: <?=    @$currencySymbol['currencySymbol'].' '.price_format((((  @$cart_items['totalPrice'] *  @$GeneralSettings['TaxPercent'] ) / 100) + @$cart_items['totalPrice']), 2 );?></strong>
									</span>
									<span><a href="javascript:void(0)" onclick="CartCheckLogin('recurring-sponsorships')" class="btn btn-success btn-block">Confirm & Pay <i class="fa fa-angle-right"></i></a></span>
								</tr>
							</div>
						</div>
					</div>
				</section>
			</main>

			<!-- ==========Language Translator Code============= -->
			<div class="ldld full" style="    z-index: 999;"></div>
			<?php $this->load->view('includes/footer') ?>
			<?php $this->load->view('includes/script') ?>
			<script type="text/javascript">
				

				function CartCheckLogin(page){
					if ( $(".allPrice").text() != 0.00) {
						var page_name = page;
						event.preventDefault();
						$.ajax({
							url: "<?=base_url('check-login-status')?>",
							type: "POST",
							dataType: "json",
							success: function(data) 
							{
								if (data == 0) {
									openLoginModal(page_name);
								}else{

									if (page_name == 'recurring-sponsorships') {
										window.location.href = "<?=base_url('recurring-sponsor/checkout')?>";
									}
									
								}
							}
						});
					}else{
						swal({
							title: "Your cart is empty!",
							text: "Please add some items to your cart.",
							icon: "warning",
							confirmButtonText: 'OK',
							confirmButtonColor: '#005D4B',
						});
					}
				}
				$(document).on('click', '.delete-row', function(e){
					e.preventDefault();
					var row_id = $(this).data('row-id');
					var selected_date = $(this).data('selected-date');
					var current_row = $(this).closest('tr'); 
					$.ajax({
						url: '<?= base_url()?>RecurringSponsorNow/delete_cart_row',
						method: 'POST',
						data: {row_id: row_id, selected_date:selected_date},
						dataType: 'json',
						success: function(response){
							if(response.status == 'success'){
								current_row.remove();
								var updated_amount = response.updated_amount;
								$('#cart-amount').text(updated_amount);
								location.reload();
							}
						},
						error: function(){
							alert('Error deleting cart row. Please try again.');
						}
					});
				});
			</script>